Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libnotify blocking eselect-notify-send[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 659

PostPosted: Thu Apr 18, 2013 2:19 am    Post subject: libnotify blocking eselect-notify-send[SOLVED] Reply with quote

I'm getting this:
[ebuild N ] app-admin/eselect-notify-send-0.1 0 kB
[ebuild U ] x11-libs/libnotify-0.7.5-r1 [0.7.5] USE="introspection -doc {-test} (-symlink%*)" 0 kB
[blocks b ] <x11-libs/libnotify-0.7.5-r1 ("<x11-libs/libnotify-0.7.5-r1" is blocking app-admin/eselect-notify-send-0.1)


Any workaround?


Last edited by jserink on Thu Apr 18, 2013 2:35 am; edited 1 time in total
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2128
Location: Finland

PostPosted: Thu Apr 18, 2013 2:26 am    Post subject: Re: libnotify blocking eselect-notify-send Reply with quote

jserink wrote:
I'm getting this:
[ebuild N ] app-admin/eselect-notify-send-0.1 0 kB
[ebuild U ] x11-libs/libnotify-0.7.5-r1 [0.7.5] USE="introspection -doc {-test} (-symlink%*)" 0 kB
[blocks b ] <x11-libs/libnotify-0.7.5-r1 ("<x11-libs/libnotify-0.7.5-r1" is blocking app-admin/eselect-notify-send-0.1)


Any workaround?


No workaround required since it says 'b' instead of 'B' which means Portage will resolve the dependency for you. Small 'b' is called a softblocker, and in this case Portage will automatically
upgrade libnotify to 0.7.5-r1 and resolve it.
If it was 'B' then you'd have to run manual `emerge -1 libnotify` but it isn't. Why did you think it needed working around?
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 659

PostPosted: Thu Apr 18, 2013 2:35 am    Post subject: Re: libnotify blocking eselect-notify-send Reply with quote

ssuominen wrote:
jserink wrote:
I'm getting this:
[ebuild N ] app-admin/eselect-notify-send-0.1 0 kB
[ebuild U ] x11-libs/libnotify-0.7.5-r1 [0.7.5] USE="introspection -doc {-test} (-symlink%*)" 0 kB
[blocks b ] <x11-libs/libnotify-0.7.5-r1 ("<x11-libs/libnotify-0.7.5-r1" is blocking app-admin/eselect-notify-send-0.1)


Any workaround?


No workaround required since it says 'b' instead of 'B' which means Portage will resolve the dependency for you. Small 'b' is called a softblocker, and in this case Portage will automatically
upgrade libnotify to 0.7.5-r1 and resolve it.
If it was 'B' then you'd have to run manual `emerge -1 libnotify` but it isn't. Why did you think it needed working around?


Cause I'm thick? :)

I didn't notice the small 'b', thanx for that.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum